## Unicode Character Map

Unicode Character Map — Character map widget

## Functions

GtkWidget * | font_manager_unicode_character_map_new ()
gint | font_manager_unicode_character_map_get_active_cell ()
PangoFontDescription * | font_manager_unicode_character_map_get_font_desc ()
double | font_manager_unicode_character_map_get_preview_size ()
gint | font_manager_unicode_character_map_get_last_index ()
gint | font_manager_unicode_character_map_get_index ()
GSList * | font_manager_unicode_character_map_get_codepoints ()
void | font_manager_unicode_character_map_set_active_cell ()
void | font_manager_unicode_character_map_set_filter ()
void | font_manager_unicode_character_map_set_font_desc ()
void | font_manager_unicode_character_map_set_preview_size ()

## Properties

int | active-cell | Read / Write
PangoFontDescription * | font-desc | Read / Write
double | preview-size | Read / Write

## Signals

void | selection-changed | Run First

## Types and Values

#define | FONT_MANAGER_TYPE_UNICODE_CHARACTER_MAP
| FontManagerUnicodeCharacterMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── FontManagerUnicodeCharacterMap

## Implemented Interfaces

FontManagerUnicodeCharacterMap implements GtkAccessible, GtkBuildable, GtkConstraintTarget and GtkScrollable.

## Includes

    #include <unicode-character-map.h>

## Description

Widget which displays all the available characters in the selected font.

## Functions

### font_manager_unicode_character_map_new ()

    GtkWidget *
    font_manager_unicode_character_map_new
                                   (void);

#### Returns

A newly created FontManagerUnicodeCharacterMap. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_unicode_character_map_get_active_cell ()

    gint
    font_manager_unicode_character_map_get_active_cell
                                   (FontManagerUnicodeCharacterMap *self);

#### Parameters

self | a FontManagerUnicodeCharacterMap |

#### Returns

The currently selected cell

### font_manager_unicode_character_map_get_font_desc ()

    PangoFontDescription *
    font_manager_unicode_character_map_get_font_desc
                                   (FontManagerUnicodeCharacterMap *self);

#### Parameters

self | a FontManagerUnicodeCharacterMap |

#### Returns

The PangoFontDescription used to display the character table. The returned object is owned by the instance and must not be modified or freed.

[transfer none][nullable]

### font_manager_unicode_character_map_get_preview_size ()

    double
    font_manager_unicode_character_map_get_preview_size
                                   (FontManagerUnicodeCharacterMap *self);

#### Parameters

self | a FontManagerUnicodeCharacterMap |

#### Returns

The current preview size

### font_manager_unicode_character_map_get_last_index ()

    gint
    font_manager_unicode_character_map_get_last_index
                                   (FontManagerUnicodeCharacterMap *self);

#### Parameters

self | a FontManagerUnicodeCharacterMap |

#### Returns

# of codepoints in character map

### font_manager_unicode_character_map_get_index ()

    gint
    font_manager_unicode_character_map_get_index
                                   (FontManagerUnicodeCharacterMap *self,
                                    GSList *codepoints);

#### Parameters

self | a FontManagerUnicodeCharacterMap |
codepoints | GList of codepoints to get index of. | [element-type uint][transfer none]

#### Returns

index of `codepoints`

### font_manager_unicode_character_map_get_codepoints ()

    GSList *
    font_manager_unicode_character_map_get_codepoints
                                   (FontManagerUnicodeCharacterMap *self,
                                    gint index);

#### Parameters

self | a FontManagerUnicodeCharacterMap |
index | gint |

#### Returns

GList of codepoints for `index` .

[element-type uint][transfer full][nullable]

### font_manager_unicode_character_map_set_active_cell ()

    void
    font_manager_unicode_character_map_set_active_cell
                                   (FontManagerUnicodeCharacterMap *self,
                                    gint cell);

Sets the currently selected cell for `self`

#### Parameters

self | a FontManagerUnicodeCharacterMap |
cell | cell to select |

### font_manager_unicode_character_map_set_filter ()

    void
    font_manager_unicode_character_map_set_filter
                                   (FontManagerUnicodeCharacterMap *self,
                                    GList *filter);

When a filter is set only codepoints which are in the filter and actually present in the selected font will be displayed.

#### Parameters

self | FontManagerCodepointList |
filter | GList containing codepoints. | [element-type uint][transfer full][nullable]

### font_manager_unicode_character_map_set_font_desc ()

    void
    font_manager_unicode_character_map_set_font_desc
                                   (FontManagerUnicodeCharacterMap *self,
                                    PangoFontDescription *font_desc);

Sets `font_desc` as the font to use to display the character table.

#### Parameters

self | FontManagerUnicodeCharacterMap |
font_desc | PangoFontDescription. | [transfer none]

### font_manager_unicode_character_map_set_preview_size ()

    void
    font_manager_unicode_character_map_set_preview_size
                                   (FontManagerUnicodeCharacterMap *self,
                                    gdouble size);

Sets the preview size to `size` .

#### Parameters

self | a FontManagerUnicodeCharacterMap |
size | new preview size |

## Types and Values

### FONT_MANAGER_TYPE_UNICODE_CHARACTER_MAP

    #define FONT_MANAGER_TYPE_UNICODE_CHARACTER_MAP (font_manager_unicode_character_map_get_type())

### FontManagerUnicodeCharacterMap

    typedef struct _FontManagerUnicodeCharacterMap FontManagerUnicodeCharacterMap;

## Property Details

### The `“active-cell”` property

      “active-cell”              int

Active cell in character map

Owner: FontManagerUnicodeCharacterMap

Flags: Read / Write

Default value: 0

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

PangoFontDescription

Owner: FontManagerUnicodeCharacterMap

Flags: Read / Write

### The `“preview-size”` property

      “preview-size”             double

Character map preview size

Owner: FontManagerUnicodeCharacterMap

Flags: Read / Write

Allowed values: [6,96]

Default value: 14

## Signal Details

### The `“selection-changed”` signal

    void
    user_function (FontManagerUnicodeCharacterMap *self,
                   char                           *codepoint,
                   char                           *codepoint_name,
                   char                           *n_codepoints,
                   gpointer                        user_data)

The :selection-changed signal is emitted whenever a new cell is selected.

#### Parameters

self | FontManagerUnicodeCharacterMap |
codepoint | Unicode codepoint as a string |
codepoint_name | Codepoint name |
n_codepoints | Total # of codepoints in current list as a string |
user_data | user data set when the signal handler was connected. |

Flags: Run First